.nlb-radio {
  // Hide existing HTML button
  input[type='radio'] {
    display: none;
  }
  display: block;
  position: relative;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 14px;
  color: $nlbMainGreyColor;
  input[type='radio'] + span::before {
    content: '';
    border-radius: 50%;
    display: inline-block;
    vertical-align: middle;
    background-color: white;
    height: 13px;
    line-height: 16px;
    min-width: 16px;
    min-height: 16px;
    margin-right: 16px;
    margin-top: -5px;
    box-shadow: 0 0 0px 2px $nlbLightGreyColor;
    transition: background-color 0.4s;
  }

  input[type='radio']:disabled + span {
    cursor: not-allowed;
  }
  input[type='radio']:disabled + span::before {
    background-color: $gray-200;
  }
  input[type='radio']:checked:disabled + span::before {
    background-color: $gray-200;
    box-shadow: 0 0 0 2px $gray-200;
  }
}

.nlb-radio {
  input[type='radio']:checked + span::before {
    display: inline-block;
    background-color: $nlbIndigoColor;
    box-shadow: 0 0 0 2px $nlbIndigoColor;
    border: 3px solid white;
  }
}

/* example
  <label class="nlb-radio">
    <input type="radio" checked="checked">
    <span class="radiobtn">One</span>
  </label>
  
  */
